## groonga 14.0.0

=== debian/changelog ===
groonga (14.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 29 Feb 2024 09:11:52 -0000
