## groonga 14.0.1

=== debian/changelog ===
groonga (14.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 14 Mar 2024 09:09:56 -0000
