## groonga 14.0.4

=== debian/changelog ===
groonga (14.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 28 May 2024 08:48:42 -0000
