=== debian/control ===
--- 
+++ 
@@ -132,19 +132,19 @@
  .
  This package provides MeCab tokenizer.
 
-#Package: groonga-plugin-h3
-#Section: libs
-#Architecture: any
-#Depends:
-#  ${misc:Depends},
-#  ${shlibs:Depends},
-#  libgroonga0 (= ${binary:Version})
-#Description: H3 related plugin for Groonga
-# Groonga is an open-source fulltext search engine and column store.
-# It lets you write high-performance applications that requires fulltext search.
-# .
-# This package provides TokenH3Index by tokenizers/h3_index and
-# h3_*() functions by functions/h3.
+Package: groonga-plugin-h3
+Section: libs
+Architecture: any
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libgroonga0 (= ${binary:Version})
+Description: H3 related plugin for Groonga
+ Groonga is an open-source fulltext search engine and column store.
+ It lets you write high-performance applications that requires fulltext search.
+ .
+ This package provides TokenH3Index by tokenizers/h3_index and
+ h3_*() functions by functions/h3.
 
 Package: groonga-token-filter-stem
 Section: libs
