=== debian/changelog ===
groonga (14.0.5+dfsg-2) unstable; urgency=medium

  * debian/patches/fix-ftbfs-hurd.patch
    - Refresh patch to fix FTBFS on hurd-i386

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 08 Jul 2024 22:25:37 +0900

groonga (14.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 14.0.5+dfsg

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 07 Jul 2024 17:57:13 +0900

groonga (13.1.1+dfsg-3) unstable; urgency=medium

  * debian/control
    - Fix E: libgroonga-dev: again.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Mar 2024 17:59:14 +0900

groonga (13.1.1+dfsg-2) unstable; urgency=medium

  * debian/control
    - Fix E: libgroonga-dev: depends-on-obsolete-package Depends:

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Mar 2024 16:49:46 +0900
