=== debian/control ===
--- 
+++ 
@@ -1,30 +1,36 @@
 Source: groonga
 Section: database
 Priority: optional
-Maintainer: Groonga Project <packages@groonga.org>
-Uploaders: HAYASHI Kentaro <hayashi@clear-code.com>
-Build-Depends:
-  cmake,
-  debhelper (>= 9),
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+  debhelper-compat (= 13),
+  pkgconf,
+  liblz4-dev,
+  zlib1g-dev,
+  libmsgpack-dev,
+  libzmq3-dev | libzmq-dev,
   libevent-dev,
-  libjemalloc-dev,
-  liblz4-dev,
   libmecab-dev,
-  libmsgpack-dev,
-  libpcre3-dev,
+  libpcre2-dev,
+  libstemmer-dev,
+  libjemalloc-dev [!hurd-i386],
   libssl-dev,
-  libstemmer-dev,
-# Broken. xtl-dev dependency is missing.
-#  libxsimd-dev,
-  libxxhash-dev,
-  libzmq3-dev | libzmq-dev,
   libzstd-dev,
-  ninja-build,
-  pkg-config,
   rapidjson-dev,
-  zlib1g-dev
-Standards-Version: 3.9.8
+  python3-sphinx,
+  python3-pydata-sphinx-theme,
+  python3-myst-parser,
+  python3-linkify-it,
+  autoconf-archive,
+  libjs-jquery,
+  libjs-jquery-ui,
+  libjs-jquery-flot,
+  libjs-bootstrap
+Standards-Version: 4.6.2
 Homepage: https://groonga.org/
+Vcs-Browser: https://salsa.debian.org/debian/groonga/
+Vcs-Git: https://salsa.debian.org/debian/groonga.git
+Rules-Requires-Root: no
 
 Package: groonga
 Architecture: any
@@ -42,11 +48,13 @@
 
 Package: groonga-server-common
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
   adduser,
-  groonga-bin (>= ${source:Version})
+  groonga (>= ${source:Version}),
+  procps
 Description: Fulltext search engine (metapackage for server use)
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -54,28 +62,28 @@
  This package provides common settings for server use.
 
 Package: groonga-server-http
+Architecture: all
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  groonga-server-common (= ${binary:Version})
+Description: Fulltext search engine (metapackage for HTTP server use)
+ Groonga is an open-source fulltext search engine and column store.
+ It lets you write high-performance applications that requires fulltext search.
+ .
+ This package depends all Groonga related package for HTTP server use.
+
+Package: groonga-server-gqtp
 Architecture: all
 Replaces: groonga-server (<< 2.0.7-1)
 Breaks: groonga-server (<< 2.0.7-1)
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  groonga-server-common (= ${binary:Version})
-Description: Fulltext search engine (metapackage for HTTP server use)
- Groonga is an open-source fulltext search engine and column store.
- It lets you write high-performance applications that requires fulltext search.
- .
- This package depends all Groonga related package for HTTP server use.
-
-Package: groonga-server-gqtp
-Architecture: all
-Replaces: groonga-server (<< 2.0.7-1)
-Breaks: groonga-server (<< 2.0.7-1)
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  lsb-base,
-  groonga-server-common (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  adduser,
+  groonga-server-common (= ${binary:Version}),
+  sysvinit-utils (>= 3.05-4)
 Description: Fulltext search engine (metapackage for GQTP server use)
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -91,21 +99,21 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version}),
-  libmsgpack-dev,
-  pkg-config
+  pkgconf,
+  libgroonga0t64 (= ${binary:Version})
 Description: Development files to use Groonga as a library
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
  .
  This package provides header files to use Groonga as a library.
 
-Package: libgroonga0
+Package: libgroonga0t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
-Replaces: libgroonga (<< 1.2.0-1)
-Breaks: libgroonga (<< 1.2.0-1)
+Replaces: libgroonga0, libgroonga (<< 1.2.0-1)
+Breaks: libgroonga0 (<< ${source:Version}), libgroonga (<< 1.2.0-1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
   ${misc:Depends},
@@ -124,7 +132,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version}),
+  libgroonga0t64 (= ${binary:Version}),
   mecab-naist-jdic | mecab-jumandic-utf8
 Description: MeCab tokenizer for Groonga
  Groonga is an open-source fulltext search engine and column store.
@@ -132,28 +140,15 @@
  .
  This package provides MeCab tokenizer.
 
-Package: groonga-plugin-h3
-Section: libs
-Architecture: any
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version})
-Description: H3 related plugin for Groonga
- Groonga is an open-source fulltext search engine and column store.
- It lets you write high-performance applications that requires fulltext search.
- .
- This package provides TokenH3Index by tokenizers/h3_index and
- h3_*() functions by functions/h3.
-
 Package: groonga-token-filter-stem
 Section: libs
 Architecture: any
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version}),
+  libgroonga0t64 (= ${binary:Version}),
   libstemmer0d
+Multi-Arch: same
 Description: Stemming token filter for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -170,7 +165,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version})
+  libgroonga0t64 (= ${binary:Version})
 Description: Suggest plugin for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -179,12 +174,13 @@
 
 Package: groonga-bin
 Architecture: any
-Replaces: groonga (<< 1.2.0-1)
-Breaks: groonga (<< 1.2.0-1)
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libgroonga0 (= ${binary:Version})
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libgroonga0t64 (= ${binary:Version}),
+  libjs-jquery,
+  libjs-jquery-ui,
+  libjs-jquery-flot
 Description: Commands for Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
@@ -196,8 +192,11 @@
 Architecture: all
 Depends:
   ${misc:Depends},
+  libjs-bootstrap,
   libjs-underscore,
-  libjs-jquery
+  libjs-jquery,
+  libjs-sphinxdoc,
+  python3-pydata-sphinx-theme
 Description: Documentation of Groonga
  Groonga is an open-source fulltext search engine and column store.
  It lets you write high-performance applications that requires fulltext search.
