## groonga 14.0.7

=== debian/changelog ===
groonga (14.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 03 Sep 2024 02:52:03 -0000
