## groonga 14.0.8

=== debian/changelog ===
groonga (14.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 24 Sep 2024 09:12:02 -0000
