## groonga 14.0.9

=== debian/changelog ===
groonga (14.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 27 Sep 2024 07:11:05 -0000
